
/*
 * $Header: /cvsroot/mpdist/mpdist/mp/header.h,v 1.1.1.1 2002/04/12 16:47:25 richbastard Exp $
 * 
 * Copyright (c) 1987-2002 Rich Burridge, Sun Microsystems Inc.
 * All rights reserved.
 * 
 * This software is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Library General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
 * License for more details.
 * 
 * You should have received a copy of the GNU Library General Public License
 * along with this software; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __MP_HEADER_H__
#define __MP_HEADER_H__

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#define  POSTSCRIPT_MAGIC  "%!"                 /* First line of PS file. */
#define  FROMHDR           "From:"
#define  FROM_HDR          "From "              /* UNIX From header. */
#define  APP_FROMHDR       "Apparently-From:"
#define  TOHDR             "To:"
#define  APP_TOHDR         "Apparently-To:"
#define  CCHDR             "Cc:"
#define  SUBJECTHDR        "Subject:"
#define  DATEHDR           "Date:"
#define  NEWSGROUPSHDR     "Newsgroups:"
#define  NEWSGROUPHDR      "Newsgroup:"
#define  REPLYHDR          "Reply-To:"
#define  CONTENT_LEN       "Content-Length:"

/* Maximum no of continuation header lines. */

#define  MAXCONT      100

extern int strcasecmp(const char *, const char *);

extern char *get_date_hdr       (void);
extern char *get_from_hdr       (void);
extern char *get_header_n       (int);
extern char *get_newsgroups_hdr (void);
extern char *get_subject_hdr    (void);

extern int hdr_equal            (char *);

extern void Header              (void);
extern void parse_headers       (int);
extern void reset_headers       (void);
extern void set_date_hdr        (char *);
extern void set_subject_hdr     (char *);
extern void show_headers        (int);

#ifdef MIME_SUPPORT
extern char *get_appfrom_hdr    (void);
extern char *get_appto_hdr      (void);
extern char **get_cc_hdr        (void);
extern char *get_replyto_hdr    (void);
extern char **get_to_hdr        (void);

extern int  printable           (char *str);
#endif /* MIME_SUPPORT */

#endif /* __MP_HEADER_H__ */
