
/*
 * $Header: /cvsroot/mpdist/mpdist/mptool/xutil.h,v 1.2 2002/10/15 19:09:32 richbastard Exp $
 * 
 * Copyright (c) 1987-2002 Rich Burridge, Sun Microsystems Inc.
 * All rights reserved.
 *
 * This software is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Library General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This software is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this software; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __MPTOOL_XUTIL_H__
#define __MPTOOL_XUTIL_H__

#include <gtk/gtk.h>
#include "mptool.h"

extern GdkPixmap *create_mp_pixmap  (gchar **);

extern gchar *get_str_value         (GtkWidget *, gchar *);
extern int get_bool_value           (GtkWidget *, gchar *);
extern int get_int_value            (GtkWidget *, gchar *);
extern int get_scroll_nrows         (GtkWidget *);
extern int item_exists              (GtkWidget *, gchar *);

extern void add_list_item           (GtkWidget *, int, gchar *);
extern void delete_list_item        (GtkWidget *, int);
extern void create_and_set_icons    (void);
extern void notice                  (GtkWidget *, gchar *);
extern void set_active              (GtkWidget *, gchar *, int);
extern void set_bool_value          (GtkWidget *, gchar *, int);
extern void set_excl_value          (GtkWidget *, gchar *);
extern void set_help_state          (int);
extern void set_icon                (enum icon_type);
extern void set_int_value           (GtkWidget *, gchar *, int);
extern void set_list_position       (GtkWidget *, int);
extern void set_str_value           (GtkWidget *, gchar *, char *);

#ifndef NO_DND
extern void init_dnd                (GtkWidget *);
#endif              /* !NO_DND */

#endif /* __MPTOOL_XUTIL_H__ */
